coupang
POST/v2/providers/marketplace_openapi/apis/api/v1/coupons/expire2609170000

[Downloadable Coupon] Expiring Download Coupon

KRTW
# 01

簡介

[Downloadable Coupon] Expiring Download Coupon

# 02

詳細內容

Available buyer market: Korea

Expire (terminate) the downloadable coupon created.

By using "requestTransactionId" received as a response, you can search 'downloadable coupon request status check API' to get the actual result of the API call.

路徑

POST/v2/providers/marketplace_openapi/apis/api/v1/coupons/expire

範例端點

https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v1/coupons/expire

URL API Name

EXPIRE_COUPONS
# 03

請求內容

請求參數

請求內容參數

NameTypeDescription
expireCouponList*object[]
Data to expire the download coupon
couponId
expireCouponList[].couponId
string
Coupon ID
Shown on coupon creation response
reason
expireCouponList[].reason
string
Input expired
userId
expireCouponList[].userId
string
User account (WING ID)
請求範例application/json
{
  "expireCouponList": [
    {
      "couponId": "16513129",
      "reason": "expired",
      "userId": "testId123"
    }
  ]
}
# 04

回應內容

Response Example

[
  {
    "requestResultStatus": "SUCCESS",
    "body": {
      "couponId": 16513129,
      "requestTransactionId": "et5_165131291561017478962"
    },
    "errorCode": null,
    "errorMessage": null
  }
]
# 05

錯誤碼

HTTP代碼訊息
400HTTP_400Bad Request

錯誤說明

HTTP類型錯誤訊息解決方案
500500 (Check Parameter Requested)

There is no coupon to expire.

Check whether CouponID is correctly input.